Name:           perl-LWP-Protocol-connect
Version:        6.09
Release:        2%{?dist}
Summary:        Provides HTTP/CONNECT proxy support for LWP::UserAgent
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/LWP-Protocol-connect/
Source0:        http://www.cpan.org/authors/id/B/BE/BENNING/LWP-Protocol-connect-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(HTTP::Request)
BuildRequires:  perl(IO::Socket::SSL)
BuildRequires:  perl(LWP::Protocol)
BuildRequires:  perl(LWP::Protocol::http)
BuildRequires:  perl(LWP::Protocol::https)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(URI::http)
Requires:       perl(HTTP::Request)
Requires:       perl(IO::Socket::SSL)
Requires:       perl(LWP::Protocol)
Requires:       perl(LWP::Protocol::http)
Requires:       perl(LWP::Protocol::https)
Requires:       perl(LWP::UserAgent)
Requires:       perl(URI::http)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
The LWP::Protocol::connect module provides support for using https over a
proxy via the HTTP/CONNECT method.

%prep
%setup -q -n LWP-Protocol-connect-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGES dist.ini LICENSE META.json README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Dec 09 2021 Daniel Berteaud <dani@lapiole.org> 6.09-2
- Update tito builder (dani@lapiole.org)

* Wed Nov 28 2018 Daniel Berteaud <daniel@firewall-services.com> 6.09-1
- new package built with tito

* Wed Nov 28 2018 Daniel Berteaud <daniel@firewall-services.com> 6.09-1
- First build (created with cpanspec)
